Subject: [bug#35388] [PATCH] gnu: julia: Update to 1.1.0

From: Nicolò Balzarotti <[email-masked]>
Date: Mon, 27 May 2019 20:06:15 +0000

Hi, thanks for the bump.

Sure but in the meanwhile they upgraded to 1.1.1 .-.

I promise I'll have a look again this week ;)

Nicolò

Il giorno lun 27 mag 2019 alle ore 14:27 Ludovic Courtès <[email-masked]> ha
scritto:

> Hi Nicolò,
>
> Did you have a chance to look into it?
>
> Thanks,
> Ludo’.
>
> Ludovic Courtès <[email-masked]> skribis:
>
> > Hi Nicolò,
> >
> > Nicolò Balzarotti <[email-masked]> skribis:
> >
> >> One second problem regards the llvm patches. They should be generic (as
> stated
> >> in the link in the patch, [2]) but are actually needed to compile julia
> (so I
> >> cannot use pure system llvm, but I don't feel like applying them to
> system
> >> llvm all by myself).
> >
> > OK.
> >
> >> The .patch files are available in the julia source package: is it ok to
> place them in the patches folder or shuld I fetch the julia source and
> extract them during build?
> >
> > It would be best if they could be downloaded from upstream.  For that
> > you could use one ‘origin’ for each patch and use them directly in the
> > ‘patches’ field.  Alternately, if that’s more convenient, you could add
> > one ‘origin’ for the whole repository, and add an ‘apply-patches’ to the
> > ‘llvm-julia’ package that would pick patches in the right place.
> >
> > Could you also try to provide a commit log listing all the changes that
> > this patch makes?  You can read ‘git log’ for examples or see
> > <
> https://www.gnu.org/software/guix/manual/en/html_node/Submitting-Patches.html
> >.
> >
> > Other than that I think it should be ready to go, and I’m really happy a
> > newer Julia package is around the corner!
> >
> > Thank you, and apologies for the delay!
> >
> > Ludo’.
>